import time

from mcpi.minecraft import Minecraft
mc = Minecraft.create()


class Budowla(object):
    def __init__(self, x, y, z, szer, wys, gleb):
        self.x = x
        self.y = y
        self.z = z

        self.szer = szer
        self.wys = wys
        self.gleb = gleb

    def buduj(self):
        mc.setBlocks(self.x, self.y, self.z,
                     self.x + self.szer, self.y + self.wys, self.z + self.gleb, 4)

        mc.setBlocks(self.x + 1, self.y + 1, self.z + 1,
                     self.x + self.szer - 1, self.y + self.wys - 1, self.z + self.gleb - 1, 0)

        self.budujOkna()
        self.budujDrzwi()

    def usun(self):
        mc.setBlocks(self.x, self.y, self.z,
                     self.x + self.szer, self.y + self.wys, self.z + self.gleb, 0)

    def budujOkna(self):
        mc.setBlock(self.x + (self.szer / 4 * 3), self.y + 2, self.z, 0)
        mc.setBlock(self.x + (self.szer / 4), self.y + 2, self.z, 0)

    def budujDrzwi(self):
        mc.setBlocks(self.x + (self.szer / 2), self.y + 1, self.z, self.x + (self.szer / 2), self.y + 2, self.z, 0)


class Drzewo(Budowla):
    def buduj(self):
        """Tworzy drzewo w podanych współrzędnych"""
        drewno = 17
        liscie = 18

        # Pień
        mc.setBlocks(self.x, self.y, self.z, self.x, self.y + 5, self.z, drewno)

        # Liście
        mc.setBlocks(self.x - 2, self.y + 6, self.z - 2, self.x + 2, self.y + 6, self.z + 2, liscie)
        mc.setBlocks(self.x - 1, self.y + 7, self.z - 1, self.x + 1, self.y + 7, self.z + 1, liscie)

    def usun(self):
        """Usuwa drzewo w podanych współrzędnych"""
        drewno = 0
        liscie = 0

        # Pień
        mc.setBlocks(self.x, self.y, self.z, self.x, self.y + 5, self.z, drewno)

        # Liście
        mc.setBlocks(self.x - 2, self.y + 6, self.z - 2, self.x + 2, self.y + 6, self.z + 2, liscie)
        mc.setBlocks(self.x - 1, self.y + 7, self.z - 1, self.x + 1, self.y + 7, self.z + 1, liscie)

poz = mc.player.getTilePos()
x = poz.x
y = poz.y
z = poz.z

drzewoWidmo = Drzewo(x, y, z, 10, 6, 8)
drzewoWidmo.buduj()

time.sleep(10)

drzewoWidmo.usun()
